/**
 * 
 */
package org.springblade.cube.dto;

import java.io.Serializable;
import java.util.Map;

import com.baomidou.mybatisplus.core.metadata.IPage;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BrowserResult implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("数据列表")
	private IPage<Map<String, Object>> pageData;
	
	@ApiModelProperty("字段字典")
	private Map<Integer, String> columnDict;
	
}
