/**
 * 
 */
package org.springblade.cube.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wookvn
 *
 */
@Getter
@AllArgsConstructor
public enum ParamTypeEnum {
	
	/**
	 * 业务参数
	 */
	BIZ(0, "业务参数"),

	/**
	 * 系统参数
	 */
	SYSTEM(1, "系统参数");
	
	@EnumValue
	private int value;
	private String message;
}
