/**
 * 
 */
package org.springblade.cube.service;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

import cn.hutool.core.util.StrUtil;
import org.springblade.cube.mapper.CubeTableColumnMapper;
import org.springblade.cube.model.CubeTableColumn;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author wookvn
 *
 */
@Service
public class CubeTableColumnService extends ServiceImpl<CubeTableColumnMapper, CubeTableColumn> {
    
    public List<CubeTableColumn> listByCubeId(Integer cubeId){
    	return baseMapper.listByCubeId(cubeId);
    }

    public List<CubeTableColumn> listByCubeIds(List<Integer> cubeIds) {
        return baseMapper.listByCubeIds(cubeIds);
    }
}
