package org.springblade.report.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.report.entity.Dimension;

import java.util.List;
import java.util.Map;

@Data
public class QueryConditionDTO {

	@ApiModelProperty(value = "字段id", example = "4", required = true)
	private Integer id;

	@ApiModelProperty(value = "操作符 0-等于 1-大于 2-大于等于 3-小于 4-小于等于 5-like 6-不等于", example = "0", required = true)
	private Integer operator = 0;

	@ApiModelProperty(value = "搜索值", example = "202003", required = true)
	private String value;

}
