package org.springblade.subscribe.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.subscribe.enums.DataType;

@Data
public class VisualSubscribeVO {

    @ApiModelProperty("订阅名称/标题")
    private String subTitle;

    @ApiModelProperty("订阅内容ID")
    private Integer dataId;

    @ApiModelProperty("通知标题")
    private String notifyTitle;

    @ApiModelProperty("订阅内容类型")
    private DataType dataType;
}