/**
 * 
 */
package org.springblade.visual.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

import org.springblade.cube.model.CubeData;
import org.springblade.report.entity.ReportDatasource;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QuerySqlParam implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 查询统计SQL
	 */
	private String querySql;
	
	/**
	 * 数据集信息
	 */
	private CubeData cubeData;
	
	/**
	 * 数据源信息
	 */
	private ReportDatasource reportDatasource;
	
	/**
	 * select字段列表
	 */
	private List<ComponentColumn> selectColumnList;
	
	/**
	 * 权限组过滤的列字段ID列表
	 */
	private Set<Integer> excludeColumnIdList;

	/**
	 * 日期间隔
	 */
	private List<String> selectTime;

	/**
	 * 小时间隔
	 */
	private List<String> hourTime;

	/**
	 * 日期字段
	 */
	private String timeColum;

}
