package org.springblade.visual.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springblade.visual.enums.WarningWayEnum;

@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "WarningWayDto对象", description = "智能预警预览通知方式结构体")
public class WarningWayDto {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户id")
    private String tenantId;

    private WarningWayEnum warningWayEnum;

}
