package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel(value = "VisualComponentHistoryRecord对象",description = "组件历史记录实体")
@TableName("visual_component_history_record")
public class VisualComponentHistoryRecord implements Serializable {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("大屏id")
    private Integer visualId;

    @ApiModelProperty("组件key")
    private String componentKey;

    @ApiModelProperty(value = "查询条件")
    private String settingInfo;

    private String settingInfoMd5;

    @ApiModelProperty("操作人员id")
    private Long operationUserId;

    @ApiModelProperty("操作人员名称")
    private String operationUserName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;
}
