/**
 * 
 */
package org.springblade.visual.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author wookvn
 *	组件类型
 */
public enum ComponentTypeEnum {

	GENERAL(0, "常规组件"),
	
	DETAIL(1, "清单组件");
	
	@EnumValue
	private int value;
	private String message;

	/**
	 * @param value
	 */
	private ComponentTypeEnum(int value, String message) {
		this.value = value;
		this.message = message;
	}

	/**
	 * @return the value
	 */
	public int getValue() {
		return value;
	}

	/**
	 * @return the method
	 */
	public String getMessage() {
		return message;
	}
}
