/**
 * 
 */
package org.springblade.visual.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author wookvn
 *
 */
public enum ComponentUseTypeEnum {

	CUBE(0, "数据集"),
	
	API(1, "API"),
	
	EMPTY(2, "纯组件,无数据"),

	STATIC(3,"静态数据");
	
	@EnumValue
	private int value;
	private String message;

	/**
	 * @param value
	 */
	private ComponentUseTypeEnum(int value, String message) {
		this.value = value;
		this.message = message;
	}

	/**
	 * @return the value
	 */
	public int getValue() {
		return value;
	}

	/**
	 * @return the method
	 */
	public String getMessage() {
		return message;
	}
}
