package org.springblade.visual.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

public enum PowerPinotTypeEnum {

    GENERAL(0, "普通幻灯片"),

    FAVOURITE(1, "我的收藏幻灯片"),

    ARCHIVING(2, "幻灯片归档");

    @EnumValue
    private int value;
    private String message;

    /**
     * @param value
     */
    private PowerPinotTypeEnum(int value, String message) {
        this.value = value;
        this.message = message;
    }

    /**
     * @return the value
     */
    public int getValue() {
        return value;
    }

    /**
     * @return the method
     */
    public String getMessage() {
        return message;
    }
}
