/**
 * 
 */
package org.springblade.visual.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.apache.ibatis.annotations.Select;
import org.springblade.visual.entity.VisualClassify;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @author wookvn
 *
 */
public interface VisualClassifyMapper extends BaseMapper<VisualClassify> {

    @InterceptorIgnore(tenantLine = "true")
    @Select("select * from visual_classify where tenant_id = #{tenantId} order by id")
    List<VisualClassify> getClassifyTenantId(String tenantId);
}
