/**
 * 
 */
package org.springblade.bi.client.form;

import java.io.Serializable;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * @author wookvn
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString(includeFieldNames = false)
public class BaseDsForm implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 数据源PoolName
	 */
	private String poolName;
	
	/**
	 * 查询或者执行SQL
	 */
	private String sql;
	
	/**
	 * 主键ID字段名
	 */
	private String idColumn;
	
	/**
	 * 执行增删改时候的参数，支持批量
	 */
	private List<Object[]> batchArgs;
}