/**
 * 
 */
package org.springblade.bi.client.form.param;

import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.ToString;

/**
 * @author wookvn
 *
 */
@Data
@ToString(includeFieldNames = false)
public class TableLinkJoinParam implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 主表字段列表
	 */
	private List<MasterTableColumnItem> tableColumns;
	
	/**
	 * 子表关联关系
	 */
	private List<TableLinkJoinItem> tableLinkJoins;
}
