package org.springblade.bi.client.model;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class VisualClassifyModel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 父分类id
     */
    private Integer parentId;

    /**
     * 分类名称
     */
    private String categoryValue;

    /**
     * 排序号
     */
    private Integer sortNum;

    /**
     * 创建人ID
     */
    private Long createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    private String tenantId;
}
