/**
 * 
 */
package org.springblade.cube.dto;

import java.io.Serializable;

import org.springblade.cube.enums.OrderByEnum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("排序")
public class OrderByParam implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty("字段显示名")
	private String columnTitle;
	
	@ApiModelProperty("排序规则")
	private OrderByEnum orderBy;
	

}
