/**
 * 
 */
package org.springblade.cube.dto;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@ApiModel("清单组件数据预览结构")
@AllArgsConstructor
@NoArgsConstructor
public class PreviewDetailResult extends PreviewResult {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private long total;
	
	private long pages;
	
	private long size;

	/**
	 * @return the total
	 */
	public long getTotal() {
		return total;
	}

	/**
	 * @param total the total to set
	 */
	public void setTotal(long total) {
		this.total = total;
	}

	/**
	 * @return the pages
	 */
	public long getPages() {
		return pages;
	}

	/**
	 * @param pages the pages to set
	 */
	public void setPages(long pages) {
		this.pages = pages;
	}

	/**
	 * @return the size
	 */
	public long getSize() {
		return size;
	}

	/**
	 * @param size the size to set
	 */
	public void setSize(long size) {
		this.size = size;
	}
	
}
