/**
 * 
 */
package org.springblade.cube.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wookvn
 *	
 *	参数对应的字段类型
 */
@Getter
@AllArgsConstructor
public enum ParamColumnTypeEnum {
	
	/**
	 * 数字
	 */
	NUMBER(0, "数字"),

	/**
	 * 字符串
	 */
	STRING(1, "字符串");
	
	@EnumValue
	private int value;
	private String message;
}
