/**
 * 
 */
package org.springblade.cube.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.apache.ibatis.annotations.Select;
import org.springblade.cube.model.CubeSqlView;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @author wookvn
 *
 */
public interface CubeSqlViewMapper extends BaseMapper<CubeSqlView> {

    @Select("select * from cube_sql_view where datasource_id = #{datasourceId}")
    @InterceptorIgnore(tenantLine = "true")
    List<CubeSqlView> getByDatasourceId(int datasourceId);
}
