/**
 * 
 */
package org.springblade.cube.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.apache.ibatis.annotations.Select;
import org.springblade.cube.model.CubeWorkspace;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @author wookvn
 *
 */
public interface CubeWorkspaceMapper extends BaseMapper<CubeWorkspace> {

    @InterceptorIgnore(tenantLine = "true")
    @Select("select * from cube_workspace where tenant_id = #{tenantId}  order by id")
    List<CubeWorkspace> getByTenantId(String tenantId);
}
