/**
 * 
 */
package org.springblade.datasource.model;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class TableViewDto implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "视图或表名称")
	private String tableViewName;

	@ApiModelProperty(value = "表注释")
	private String tableComments;

	@ApiModelProperty(value = "数据源id")
	private Integer datasourceId;
}
