/**
 * 
 */
package org.springblade.microapp.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class MicroAppDataPermission implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer id;
	
	@ApiModelProperty("微应用ID")
	private Integer appId;
	
	@ApiModelProperty("权限组ID")
	private Integer dataPermId;

	@ApiModelProperty("创建时间")
	private Date createTime;
	
	@ApiModelProperty("创建人")
	private String createBy;
	
	@ApiModelProperty("创建人ID")
	private Long createUserId;

	@ApiModelProperty(value = "租户id")
	private String tenantId;
}
