/**
 * 
 */
package org.springblade.microapp.service;

import org.springblade.microapp.entity.MicroAppMenu;
import org.springblade.microapp.mapper.MicroAppMenuMapper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author wookvn
 *
 */
@Service
public class MicroAppMenuService extends ServiceImpl<MicroAppMenuMapper, MicroAppMenu> {

	/**
	 * 
	 * @param microAppMenu
	 * @return
	 */
	@Transactional
	public boolean doSubmit(MicroAppMenu microAppMenu) {
		if(microAppMenu.getHomePageStatus() != null && microAppMenu.getHomePageStatus() == 1) {
			update(Wrappers.<MicroAppMenu>lambdaUpdate().set(MicroAppMenu::getHomePageStatus, 0).eq(MicroAppMenu::getAppId, microAppMenu.getAppId()));
		}
		return saveOrUpdate(microAppMenu);
	}
	
}
