package org.springblade.report.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 添加模板到报告请求
 *
 * @author wuyf
 * @since 2021-03-30
 */
@Data
public class AddTemplateToReportRequest {

	@ApiModelProperty(value = "报告id", example = "1", required = true)
	private Integer reportId;

	@ApiModelProperty(value = "模板id列表 从Visual读取id列表 ", example = "[1,2]", required = false)
	private List<Long> templateIdList;

}
