package org.springblade.report.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 添加分期报告请求
 *
 * @author wuyf
 * @since 2021-03-30
 */
@Data
public class CreateSubReportRequest {

	@ApiModelProperty(value = "报告id", example = "1", required = true)
	private Integer reportId;

	@ApiModelProperty(value = "分期报告标题", example = "二月", required = true)
	private String title;

}
