/**
 * 
 */
package org.springblade.report.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class ReportDatasourcePermission implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer id;
	
	@ApiModelProperty("数据源ID")
	private Integer datasourceId;
	
	@ApiModelProperty("表名JSON数组字符串")
	private String tableNames;
	
	@ApiModelProperty("权限组ID")
	private Integer dataPermId;

	private Date createTime;
	
	private String createBy;
	
	private Long createUserId;
	
	@ApiModelProperty("权限组名称")
	@TableField(exist = false)
	private String dataPermName;
}
