///*
// *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
// *
// *  Redistribution and use in source and binary forms, with or without
// *  modification, are permitted provided that the following conditions are met:
// *
// *  Redistributions of source code must retain the above copyright notice,
// *  this list of conditions and the following disclaimer.
// *  Redistributions in binary form must reproduce the above copyright
// *  notice, this list of conditions and the following disclaimer in the
// *  documentation and/or other materials provided with the distribution.
// *  Neither the name of the dreamlu.net developer nor the names of its
// *  contributors may be used to endorse or promote products derived from
// *  this software without specific prior written permission.
// *  Author: Chill 庄骞 (smallchill@163.com)
// */
//package org.springblade.report.service;
//
//import org.springblade.report.dto.oracle.ReportColumnDTO;
//import org.springblade.report.dto.oracle.ReportViewDTO;
//import org.springblade.report.entity.ReportDatasource;
//
//import java.util.LinkedHashMap;
//import java.util.List;
//
///**
// * 获取数据库表和字段信息服务
// *
// * @author wuyf
// * @since 2021-04-23
// */
//public interface IReportBaseInfoService {
//
//	/**
//	 * 查询报表视图
//	 *
//	 * @return
//	 */
//	List<ReportViewDTO> selectReportViewList(ReportDatasource datasource);
//
//	/**
//	 * 查询视图字段列表
//	 *
//	 * @param viewName 视图名称
//	 * @return
//	 */
//	List<ReportColumnDTO> selectReportColumnList(ReportDatasource datasource, String viewName);
//
//}
