/**
 * 
 */
package org.springblade.resouces;

import java.util.List;
import java.util.Map;

import org.apache.commons.collections4.map.HashedMap;
import org.springblade.bi.client.CubeGlobalParamClient;
import org.springblade.core.secure.BladeUser;
import org.springblade.core.secure.utils.AuthUtil;
import org.springblade.cube.utils.CubeConstants;
import org.springblade.datasource.enums.DateFormatEnum;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wookvn
 *
 */
@RestController
public class CubeGlobalParamResource implements CubeGlobalParamClient {

	@Override
	public Map<String, List<Object>> getSysGlobalParamMap(String dateTimeFormat) {
		BladeUser bladeUser = AuthUtil.getUser();
		DateFormatEnum formatEnum = null;
		try {
			formatEnum = DateFormatEnum.valueOf(dateTimeFormat);
		} catch (Exception e) { 
			formatEnum = DateFormatEnum.yyyy_MM_ddhh$mm$ss;
		}
		return CubeConstants.mergeAllSysParams(bladeUser, formatEnum, new HashedMap<>());
	}
}
