/**
 * 
 */
package org.springblade.subscribe.controller;

import org.springblade.core.boot.ctrl.BladeController;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson2.JSONObject;

import cn.hutool.http.HttpUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * @author wookvn
 *
 */
@RestController
@RequestMapping("/subscribe/pdf")
@Api(value = "订阅PDF导出接口", tags = "订阅PDF导出接口")
public class VisualSubscribePdfController extends BladeController{

	@Value("${blade.pdfUrl}")
	private String pdfUrl;
	
	/**
	 * 
	 * @return
	 */
	@PostMapping("/screenShot")
	@ApiOperation(value = "获取PDF图片地址")
	public JSONObject screenShot(@RequestBody String value){
		String resBody = HttpUtil.post(pdfUrl, value, 300000);
		return JSONObject.parseObject(resBody);
	}
	
}
