/**
 * 
 */
package org.springblade.subscribe.mapper;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.subscribe.dto.VisualSubscribeAggregation;
import org.springblade.subscribe.entity.VisualSubscribe;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;

/**
 * @author wookvn
 *
 */
public interface VisualSubscribeMapper extends BaseMapper<VisualSubscribe> {

	@Select({"select data_id, data_type, sub_title,", 
			"group_concat(distinct user_name) as user_names,",
			"count(distinct user_id) as user_cnt", 
			"from visual_subscribe ",
			"${ew.customSqlSegment}",
			"group by data_id, data_type, sub_title",
			"order by user_cnt desc"
			})
	public IPage<VisualSubscribeAggregation> aggPage(IPage<?> page, @Param(Constants.WRAPPER) QueryWrapper<VisualSubscribe> queryWrapper);
}