/**
 * 
 */
package org.springblade.subscribe.service;

import java.util.Date;

import org.springblade.subscribe.entity.VisualSubscribePushLog;
import org.springblade.subscribe.mapper.VisualSubscribePushLogMapper;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import cn.hutool.core.date.DateUtil;

/**
 * @author wookvn
 *
 */
@Service
public class VisualSubscribePushLogService extends ServiceImpl<VisualSubscribePushLogMapper, VisualSubscribePushLog> {

	/**
	 * 统计今天的日志发送情况
	 * @return
	 */
	public JSONObject statTodayLogInfor() {
		Date today = new Date();
		return baseMapper.statTodayLogInfor(DateUtil.beginOfDay(today), DateUtil.endOfDay(today));
	}
	
	/**
	 * 统计订阅情况
	 * @return
	 */
	public JSONObject statSubInfor() {
		return baseMapper.statSubInfor();
	}
	
}
