package org.springblade.subscribe.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.subscribe.entity.VisualSubscribe;

import java.util.ArrayList;
import java.util.List;

@Data
public class VisualSubscribeBatchVO extends VisualSubscribe {

    @ApiModelProperty("订阅内容集合")
    private List<VisualSubscribeVO>dataList=new ArrayList<>();

    @ApiModelProperty("订阅人id集合")
    private List<String>userIds=new ArrayList<>();
}
