/**
 * 
 */
package org.springblade.visual.dto;

import java.io.Serializable;
import java.util.List;

import org.springblade.visual.enums.FilterConnectTypeEnum;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.NullSerializer;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class ComponentFilterPlus implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private List<ComponentFilterItem> conditions;
	
	@JsonSerialize(nullsUsing = NullSerializer.class)
	private FilterConnectTypeEnum relation;
	
}
