/**
 * 
 */
package org.springblade.visual.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class PreviewBaseDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("组件字段对象列表")
//	private List<ComponentColumn> columnList;
	private String columnList;
	
	@ApiModelProperty("筛选对象列表")
//	private List<ColumnFilter> filterList;
	private String filterList;
	
	@ApiModelProperty("筛选对象关系")
//	private ComponentFilterDto filter;
	private String filterRelation;
	
	@ApiModelProperty("时间设置JSON")
	private String filterTimeJson;
	
	@ApiModelProperty("排序对象列表")
//	private List<ComponentSort> sortList;
	private String sortList;
	
	//冗余过滤条件参数
	private String extFilterJson;
	
	@ApiModelProperty("额外参数")
	private Map<String, List<Object>> extraParams;

	private Boolean isDateComplete;//是否连续查询日期
	private String filterColum;//时间字段
	private List<Object> selectTime;//时间范围
}
