/**
 * 
 */
package org.springblade.visual.dto;

import java.io.Serializable;
import java.util.List;

import org.springblade.visual.entity.VisualData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class VisualDto implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "大屏数据对象")
	private VisualData visualData;
	
	@ApiModelProperty(value = "组件列表【新增修改时候使用】")
	private List<ComponentDto> componentList;
	
	@ApiModelProperty(value = "权限组ID列表")
	private List<Integer> dataPermIdList;

}
