package org.springblade.visual.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: hepingguo
 * @Description:
 * @Date: 2023/3/16 14:28
 **/
@Data
@ApiModel(value = "VisualPowerPermissionDto对象", description = "幻灯片权限组")
public class VisualPowerPermissionDoo implements Serializable {

    @ApiModelProperty("幻灯片分类ID")
    private Integer visualCategoryId;

    @ApiModelProperty("权限组ID")
    private Integer dataPermId;

    @ApiModelProperty("幻灯片ID列表")
    private List<Integer> powerIdList;
}
