/**
 * 
 */
package org.springblade.visual.dto;

import java.io.Serializable;

import org.springblade.visual.enums.FilterTimeModifierEnum;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class WarningFilterRelativeTime implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private int leftVal;
	
	private FilterTimeModifierEnum leftModifier = FilterTimeModifierEnum.BEFORE;
	
	private int rightVal;
	
	private FilterTimeModifierEnum rightModifier = FilterTimeModifierEnum.BEFORE;
	
}