package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("visual_self_report_permission")
@ApiModel(value = "VisualSelfReportPermission对象", description = "自主报表权限组模板")
public class VisualSelfReportPermission implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("大屏ID")
    private Integer selfReportId;

    @ApiModelProperty("权限组ID")
    private Integer dataPermId;

    private Date createTime;

    private String createBy;

    private Long createUserId;
}
