/**
 * 
 */
package org.springblade.visual.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author wookvn
 *	大屏类型
 */
public enum VisualTypeEnum {

	GENERAL(0, "普通大屏"),
	
	FAVOURITE(1, "我的收藏大屏"),
	
	REPORT(2, "我的报告大屏"),
	
	POWER_POINT(3, "幻灯片大屏");
	
	@EnumValue
	private int value;
	private String message;

	/**
	 * @param value
	 */
	private VisualTypeEnum(int value, String message) {
		this.value = value;
		this.message = message;
	}

	/**
	 * @return the value
	 */
	public int getValue() {
		return value;
	}

	/**
	 * @return the method
	 */
	public String getMessage() {
		return message;
	}
}
