package org.springblade.visual.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.visual.dto.VisualComponentHistoryRecordDto;
import org.springblade.visual.entity.VisualComponentHistoryRecord;

import java.util.List;

public interface VisualComponentHistoryRecordMapper extends BaseMapper<VisualComponentHistoryRecord> {

    /**
     * 多条件查询组件历史记录
     * @param record
     * @param limit
     * @return
     */
    List<VisualComponentHistoryRecord> getComponentHistoryRecordList(@Param("record") VisualComponentHistoryRecordDto record, @Param("limit") Integer limit);
}
