/**
 * 
 */
package org.springblade.visual.mapper;

import java.util.List;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.visual.entity.VisualData;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @author wookvn
 *
 */
public interface VisualDataMapper extends BaseMapper<VisualData> {

	@Select({
		"select distinct c.category from visual_data c",
		"left join visual_data_permission a on c.id = a.visual_id",
		"left join data_permission_user b on a.data_perm_id = b.data_perm_id",
		"where (b.user_id = #{userId} or c.create_user = #{userId} or c.public_status = 1) and c.visual_data_type = #{visualDataType}"
	})
	public List<Integer> classifyIdListPerm(@Param("userId") Long userId,@Param("visualDataType") Integer visualDataType);


//	@InterceptorIgnore(tenantLine = "true")
//	@Select("select * from visual_data ${ew.customSqlSegment}")
//	public VisualData getDetail(@Param(Constants.WRAPPER)QueryWrapper<?> queryWrapper);


}
