package org.springblade.visual.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.visual.dto.VisualTemplateUseSituationDto;
import org.springblade.visual.entity.VisualTemplateUseSituation;
import org.springblade.visual.mapper.VisualTemplateUseSituationMapper;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class VisualTemplateUseSituationService extends ServiceImpl<VisualTemplateUseSituationMapper, VisualTemplateUseSituation> {

    public List<VisualTemplateUseSituationDto> getUseCount(Integer visualId) {

        return this.getBaseMapper().selectUseCount(visualId);
    }
}
