package org.springblade.visual.utils;

import cn.hutool.core.util.StrUtil;

public class MobileUtil {
    static final String MOBILE_RULE = "^1[3-9]\\d{9}$";

    public static boolean isLegalMobileNumber(String mobile) {
        if (StrUtil.isEmpty(mobile) || mobile.length() != 11) {
            return false;
        }
        return mobile.matches(MOBILE_RULE);
    }

}
