/**
 *
 */
package org.springblade.bi.client.form;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author wookvn
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString(includeFieldNames = false)
public class SubTableQueryParam implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    private String tableName;
    private String columnName;
    /**
     * 1-STRING 2-DATETIME 3-NUMBER 4-BIGINT
     */
    private Integer columnType;

    /**
     * 函数方法 {@link org.springblade.visual.enums.CommonFunctionEnum}
     */
    private String function;

    /**
     * 数值列表
     */
    private List<Object> values;

}
