/**
 * 
 */
package org.springblade.bi.client.model;

import java.io.Serializable;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class CubeDataModel implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 数据集ID
	 */
	private Integer id;
	
	/**
	 * 数据源ID
	 */
	private Integer datasourceId;
	
	/**
	 * 数据集名称
	 */
	private String cubeName;
	
	/**
	 * 数据集使用的表json数组
	 */
	private String cubeTableNames;
	
	/**
	 * 关联查询的json
	 */
	private String linksJoin;
	
	/**
	 * 全局数据过滤的json
	 */
	private String filterJson;
	
	/**
	 * 查询SQL
	 */
	private String querySql;
}
